Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlrpc.parser
Class NodeParser

    java.lang.Object
      org.apache.xmlrpc.parser.ExtParser
          org.apache.xmlrpc.parser.NodeParser

All Implemented Interfaces:
  TypeParser, org.xml.sax.ContentHandler

    public class NodeParser

extends ExtParser

A parser for DOM document.

Constructor Summary
`NodeParser()`

Method Summary
`protected org.xml.sax.ContentHandler` | `getExtHandler()` Returns a content handler for parsing the actual contents.
`java.lang.Object` | `getResult()` Returns the parsed object.
`protected java.lang.String` | `getTagName()` Returns the outer node name.

Methods inherited from class org.apache.xmlrpc.parser.ExtParser
`characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NodeParser

    public NodeParser()

Method Detail

### getTagName

    protected java.lang.String getTagName()

  Description copied from class: `ExtParser`
  Returns the outer node name.

  Specified by:
    `getTagName` in class `ExtParser`

### getExtHandler

    protected org.xml.sax.ContentHandler getExtHandler()
                                                throws org.xml.sax.SAXException

  Description copied from class: `ExtParser`
  Returns a content handler for parsing the actual contents.

  Specified by:
    `getExtHandler` in class `ExtParser`
  Returns:
    A SAX handler for parsing the XML inside the outer ex:foo element.
  Throws:
    `org.xml.sax.SAXException` - Creating the handler failed.

### getResult

    public java.lang.Object getResult()

  Description copied from interface: `TypeParser`
  Returns the parsed object.

  Returns:
    The parameter or result object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.